<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{69FC51A3-C79E-45B7-A476-5EB95C24EA76}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>RuntimeForStatic</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" />
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PreprocessorDefinitions>WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <UseFullPaths>false</UseFullPaths>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PreprocessorDefinitions>WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <UseFullPaths>false</UseFullPaths>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="ArgChecking.cpp" />
    <ClCompile Include="AutoFree.cpp" />
    <ClCompile Include="AutoFreeArray.cpp" />
    <ClCompile Include="COMAuto.cpp" />
    <ClCompile Include="COMAutoArray.cpp" />
    <ClCompile Include="COMDummyObject.cpp" />
    <ClCompile Include="COMInterface.cpp" />
    <ClCompile Include="Completer.cpp" />
    <ClCompile Include="CS.cpp" />
    <ClCompile Include="Handles.cpp" />
    <ClCompile Include="LE.COM.cpp" />
    <ClCompile Include="LE.Win32.cpp" />
    <ClCompile Include="Lock.cpp" />
    <ClCompile Include="Ops.cpp" />
    <ClCompile Include="Precompiled.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="AutoHandle.cpp" />
    <ClCompile Include="AutoHandles.cpp" />
    <ClCompile Include="CheckInt.cpp" />
    <ClCompile Include="ErrorCode.cpp" />
    <ClCompile Include="ErrorInfo.cpp" />
    <ClCompile Include="FatalError.Raise.arg.cpp" />
    <ClCompile Include="FatalError.Raise.central.cpp" />
    <ClCompile Include="FatalError.ReportError.cpp" />
    <ClCompile Include="Handle.cpp" />
    <ClCompile Include="HelpersRT.cpp" />
    <ClCompile Include="HelpersRT.memory.cpp" />
    <ClCompile Include="HelpersRT.string.cpp" />
    <ClCompile Include="new_n_delete.cpp" />
    <ClCompile Include="CallerInfo.cpp" />
    <ClCompile Include="probe.cpp" />
    <ClCompile Include="RootInfo.cpp" />
    <ClCompile Include="RT.cpp" />
    <ClCompile Include="ErrorType.cpp" />
    <ClCompile Include="ErrorSign.cpp" />
    <ClCompile Include="LE.cpp" />
    <ClCompile Include="LE.SetError.cpp" />
    <ClCompile Include="LE.SetCustomError.cpp" />
    <ClCompile Include="Locale.cpp" />
    <ClCompile Include="FatalError.cpp" />
    <ClCompile Include="FatalError.Raise.cpp" />
    <ClCompile Include="FatalError.termination.cpp" />
    <ClCompile Include="RuntimeParameters.cpp" />
    <ClCompile Include="StaticMessages.cpp" />
    <ClCompile Include="Str.cpp" />
    <ClCompile Include="StrBuffAuto.cpp" />
    <ClCompile Include="TaskMem.cpp" />
    <ClCompile Include="TaskMemAuto.cpp" />
    <ClCompile Include="TaskMemAutoArray.cpp" />
    <ClCompile Include="TLSIndex.cpp" />
    <ClCompile Include="TraceHelpers.cpp" />
    <ClCompile Include="Tracer.cpp" />
    <ClCompile Include="HelpersRT.Trace.cpp" />
    <ClCompile Include="TracerNS.cpp" />
    <ClCompile Include="InFunctionScopeTracer.cpp" />
    <ClCompile Include="DynText.cpp" />
    <ClCompile Include="AutoFreePtr.cpp" />
    <ClCompile Include="Disposable.cpp" />
    <ClCompile Include="Win32Error.cpp" />
    <ClCompile Include="Interlocked.cpp" />
    <ClCompile Include="SZ.cpp" />
    <ClCompile Include="Char.cpp" />
    <ClCompile Include="Memory.cpp" />
    <ClCompile Include="Checking.cpp" />
    <ClCompile Include="TLS.cpp" />
    <ClCompile Include="Thread.cpp" />
    <ClCompile Include="ThreadSettings.cpp" />
    <ClCompile Include="WithFinally.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Include\ArgChecking.PP.rt.h" />
    <ClInclude Include="Include\ArgChecking.rt.h" />
    <ClInclude Include="Include\ArgCheckingTCI.PP.rt.h" />
    <ClInclude Include="Include\AutoFree.PP.rt.h" />
    <ClInclude Include="Include\AutoFree.rt.h" />
    <ClInclude Include="Include\AutoHandles.rt.h" />
    <ClInclude Include="Include\CheckingTCI.PP.rt.h" />
    <ClInclude Include="Include\COM.PP.rt.h" />
    <ClInclude Include="Include\COMAuto.PP.rt.h" />
    <ClInclude Include="Include\COMAuto.rt.h" />
    <ClInclude Include="Include\COMDummyObject.rt.h" />
    <ClInclude Include="Include\COMInterface.rt.h" />
    <ClInclude Include="Include\ErrorCode.rt.h" />
    <ClInclude Include="Include\ErrorInfo.rt.h" />
    <ClInclude Include="Include\ErrorSign.rt.h" />
    <ClInclude Include="Include\ErrorType.rt.h" />
    <ClInclude Include="Include\Internal\HelpersRT.h" />
    <ClInclude Include="Include\LE.rt.h" />
    <ClInclude Include="Include\include_restrictions.h" />
    <ClInclude Include="Include\Memory.PP.rt.h" />
    <ClInclude Include="Include\RootInfo.rt.h" />
    <ClInclude Include="Include\StrBuffAuto.rt.h" />
    <ClInclude Include="Include\Synchro.rt.h" />
    <ClInclude Include="Include\TaskMemAuto.PP.rt.h" />
    <ClInclude Include="Include\TaskMemAuto.rt.h" />
    <ClInclude Include="Include\Templates\include_restrictions.h" />
    <ClInclude Include="Include\Templates\task_mem.rt.h" />
    <ClInclude Include="Include\Templates\with_finally_r.rt.h" />
    <ClInclude Include="inline\CallerInfo\CallerInfo.impl.h" />
    <ClInclude Include="inline\CheckInt\TryDouble.impl.h" />
    <ClInclude Include="LE.internal.h" />
    <ClInclude Include="Precompiled.h" />
    <ClInclude Include="private\AutoFree.private.h" />
    <ClInclude Include="private\AutoFreeArray.private.h" />
    <ClInclude Include="private\CallerInfo.private.h" />
    <ClInclude Include="private\COMAuto.private.h" />
    <ClInclude Include="private\COMAutoArray.private.h" />
    <ClInclude Include="private\COMDummyObject.private.h" />
    <ClInclude Include="private\Completer.private.h" />
    <ClInclude Include="private\Handle.private.h" />
    <ClInclude Include="private\Lock.private.h" />
    <ClInclude Include="private\StrBuffAuto.private.h" />
    <ClInclude Include="private\TaskMemAuto.private.h" />
    <ClInclude Include="private\TaskMemAutoArray.private.h" />
    <ClInclude Include="private\Tracer.private.h" />
    <ClInclude Include="private\TracerNS.private.h" />
    <ClInclude Include="SharedIncludes.h" />
    <ClInclude Include="auxiliary\rt_include_restrictions.h" />
    <ClInclude Include="Include\CheckInt.rt.h" />
    <ClInclude Include="Include\DynText.rt.h" />
    <ClInclude Include="Include\AutoFreePtr.rt.h" />
    <ClInclude Include="Include\Disposable.rt.h" />
    <ClInclude Include="Include\AutoHandles.PP.rt.h" />
    <ClInclude Include="Include\Handles.rt.h" />
    <ClInclude Include="Include\Helpers.rt.h" />
    <ClInclude Include="Include\StaticMessages.rt.h" />
    <ClInclude Include="Include\Str.rt.h" />
    <ClInclude Include="Include\Templates\checking.rt.h" />
    <ClInclude Include="Include\Templates\tstatic.rt.h" />
    <ClInclude Include="Include\new_n_delete.PP.rt.h" />
    <ClInclude Include="Include\new_n_delete.rt.h" />
    <ClInclude Include="Include\Ops.rt.h" />
    <ClInclude Include="Include\!base_includes.rt.h" />
    <ClInclude Include="Include\KeyDefs.PP.rt.h" />
    <ClInclude Include="Include\KeyDefs.Types.rt.h" />
    <ClInclude Include="Include\CallerInfo.rt.h" />
    <ClInclude Include="Include\CallerInfo.PP.rt.h" />
    <ClInclude Include="Include\RuntimeForStatic.h" />
    <ClInclude Include="Include\RT.rt.h" />
    <ClInclude Include="Include\SZ.rt.h" />
    <ClInclude Include="Include\Char.rt.h" />
    <ClInclude Include="Include\Memory.rt.h" />
    <ClInclude Include="Include\Trace.rt.h" />
    <ClInclude Include="Include\Trace.PP.rt.h" />
    <ClInclude Include="Include\Checking.rt.h" />
    <ClInclude Include="Include\Checking.PP.rt.h" />
    <ClInclude Include="Include\FatalError.rt.h" />
    <ClInclude Include="Include\FatalError.PP.rt.h" />
    <ClInclude Include="Include\Error.rt.h" />
    <ClInclude Include="Include\Error.PP.rt.h" />
    <ClInclude Include="Include\Win32Error.rt.h" />
    <ClInclude Include="Include\Interlocked.rt.h" />
    <ClInclude Include="Include\TLS.rt.h" />
    <ClInclude Include="Include\Thread.rt.h" />
    <ClInclude Include="Include\Locale.rt.h" />
    <ClInclude Include="Include\Locale.PP.rt.h" />
    <ClInclude Include="Include\Helpers.PP.rt.h" />
    <ClInclude Include="Include\TLSIndex.rt.h" />
    <ClInclude Include="Include\Templates\Templates.rt.h" />
    <ClInclude Include="Include\Templates\ap.rt.h" />
    <ClInclude Include="Include\Templates\apc.rt.h" />
    <ClInclude Include="Include\Templates\arith.rt.h" />
    <ClInclude Include="Include\Templates\interlocked.rt.h" />
    <ClInclude Include="Include\Templates\memory.rt.h" />
    <ClInclude Include="Include\Templates\ops.rt.h" />
    <ClInclude Include="Include\Templates\subst.rt.h" />
    <ClInclude Include="Include\Templates\tls.rt.h" />
    <ClInclude Include="inline\CheckInt\TryAdd.impl.h" />
    <ClInclude Include="inline\CheckInt\TryChangeSign.impl.h" />
    <ClInclude Include="inline\CheckInt\TryDivide.impl.h" />
    <ClInclude Include="inline\CheckInt\TryMultiply.impl.h" />
    <ClInclude Include="inline\CheckInt\TrySubtract.impl.h" />
    <ClInclude Include="inline\Ops\DWordFromBool.impl.h" />
    <ClInclude Include="inline\Ops\IntFromBool.impl.h" />
    <ClInclude Include="inline\Ops\NormalizeBool.impl.h" />
    <ClInclude Include="inline\TLS\ResetAsBool.impl.h" />
    <ClInclude Include="inline\TLS\ResetInt32.impl.h" />
    <ClInclude Include="inline\TLS\ResetPointer.impl.h" />
    <ClInclude Include="inline\TLS\ResetUInt32.impl.h" />
    <ClInclude Include="inline\TLS\SetAsBool.impl.h" />
    <ClInclude Include="private\AutoHandle.private.h" />
    <ClInclude Include="private\AutoHandles.private.h" />
    <ClInclude Include="private\Disposable.private.h" />
    <ClInclude Include="private\ErrorInfo.private.h" />
    <ClInclude Include="private\StaticMessages.private.h" />
    <ClInclude Include="private\TLSIndex.private.h" />
    <ClInclude Include="private\WithFinally.private.h" />
    <ClInclude Include="private\WithFinallyR.private.h" />
    <ClInclude Include="private\RT.private.h" />
    <ClInclude Include="private\DynText.private.h" />
    <ClInclude Include="private\AutoFreePtr.private.h" />
    <ClInclude Include="private\ErrorType.private.h" />
    <ClInclude Include="private\ErrorSign.private.h" />
    <ClInclude Include="private\LE.private.h" />
    <ClInclude Include="private\FatalError.private.h" />
    <ClInclude Include="private\Thread.private.h" />
    <ClInclude Include="private\InFunctionScopeTracer.private.h" />
    <ClInclude Include="private\template\ap.private.h" />
    <ClInclude Include="private\template\apc.private.h" />
    <ClInclude Include="private\template\tstatic.private.h" />
    <ClInclude Include="private\template\with_finally_r.private.h" />
    <ClInclude Include="template\checking.impl.h" />
    <ClInclude Include="template\task_mem.impl.h" />
    <ClInclude Include="template\tls.impl.h" />
    <ClInclude Include="template\tstatic.impl.h" />
    <ClInclude Include="template\with_finally_r.impl.h" />
    <ClInclude Include="template\Templates.impl.h" />
    <ClInclude Include="template\ops.impl.h" />
    <ClInclude Include="template\subst.impl.h" />
    <ClInclude Include="template\ap.impl.h" />
    <ClInclude Include="template\apc.impl.h" />
    <ClInclude Include="template\arith.impl.h" />
    <ClInclude Include="template\memory.impl.h" />
    <ClInclude Include="template\interlocked.impl.h" />
    <ClInclude Include="template\include_restrictions.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
    <Import Project="RuntimeForStatic.vcxproj.targets" />
  </ImportGroup>
</Project>